Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name:			gnome-mime-data
Version:		2.18.0
Release:		3
BuildArch:		noarch
Summary:		MIME type data files for GNOME desktop
License:		GPL
Group: 			Graphical Desktop/GNOME
URL:			http://www.gnome.org/
BuildRoot:		%{_tmppath}/%{name}-buildroot
Source0:		%{name}-%{version}.tar.bz2
BuildRequires: 		perl-XML-Parser
BuildRequires: 		gettext

%description
gnome-mime-data provides the file type recognition data files for gnome-vfs

%prep
%setup -q

## be sure .keys is regenerated from patched .keys.in
rm gnome-vfs.keys

## no command line apps as bindings
perl -pi -e 's/,mpg123//g' gnome-vfs.keys.in
perl -pi -e 's/mpg123//g' gnome-vfs.keys.in

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%config %{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry/gnome-vfs.applications
%{_locale}/*/LC_MESSAGES/gnome-mime-data.mo
%{_datadir}/mime-info/gnome-vfs.keys
%{_datadir}/mime-info/gnome-vfs.mime
%{_datadir}/pkgconfig/gnome-mime-data-2.0.pc

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.18.0-3
- buildarch: noarch
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- move sysconfdir
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.3-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.2-8
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.2-7
- rebuild, removed patch
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.2-6
- moved prefix
* Sun Oct 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.4.2-5
- tweaked specfile, rebuild
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> 2.4.2-4
- Tweaked Spec File to a more CCux Package DB friendly Way
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> 2.4.2-3
- changed group, added "enable-final" and "enable-optimize" to ./configure-options
- tweaked spec-file
- precised %files
- added dependencies
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 2.4.2-2
- Tweaked Specfile, moved sysconfdir, added Man Files
* Wed Feb 23 2005 Uli Schukraft <Schukraft@ccux-linux.de> 2.4.2-1
- First package release.
